# Introduction

Every VerneMQ node has to be configured as the default configuration probably does not match your needs. Depending on the installation method and chosen platform the configuration file `vernemq.conf` resides at different locations. If VerneMQ was installed through a Linux package the default location for the configuration file is `/etc/vernemq/vernemq.conf`.

## General Format of the `vernemq.conf` file

* A single setting is handled on one line.
* Lines are structured `Key = Value`
* Any line starting with # is a comment, and will be ignored.

## Minimal Quickstart Configuration

You certainly want to try out VerneMQ right away. To just check the broker without configured authentication for now, you can allow anonymous access:

* Set `allow_anonymous = on`

By default the `vmq_acl` authorization plugin is enabled and configured to allow publishing and subscribing to any topic (basically allowing everything), check the [section on file-based authorization](https://docs.vernemq.com/configuring-vernemq/pages/kQ7Po0bajpDkyDYapv32##authorization) for more information.

{% hint style="warning" %}
Setting `allow_anonymous=on` completely disables authentication in the broker and plugin authentication hooks are never called! Find the details on all the authentication hooks [here](https://github.com/vernemq/vmq-docs/blob/2.0.0/plugin-development/sessionlifecycle.md#auth_on_register-and-auth_on_register_m5). **In a production system you should configure `vmq_acl` to be less permissive or configure some other plugin to handle authorization**.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vernemq.com/configuring-vernemq/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
